# source ftp://ftp.porcupine.org/mirrors/postfix-release/official/postfix-3.7.3.tar.gz

%define _disable_ld_no_undefined 1
%define sendmail_command %{_sbindir}/sendmail.postfix
%define post_install_parameters	daemon_directory=%{_libexecdir}/postfix command_directory=%{_sbindir} queue_directory=%{queue_directory} sendmail_path=%{sendmail_command} newaliases_path=%{_bindir}/newaliases mailq_path=%{_bindir}/mailq mail_owner=postfix setgid_group=%{maildrop_group} manpage_directory=%{_mandir} readme_directory=%{_docdir}/%{name}/README_FILES html_directory=%{_docdir}/%{name}/html data_directory=/var/lib/postfix 
%define maildrop_group	postdrop
%define queue_directory	%{_var}/spool/postfix
# Macro: %{dynmap_add_cmd <name> [<soname>] [-m]}
%define dynmap_add_cmd(m) FILE=%{_sysconfdir}/postfix/dynamicmaps.cf; if ! grep -q "^%{1}[[:space:]]" ${FILE}; then echo "%{1}	%{_libdir}/postfix-%{?2:%{2}}%{?!2:%{1}}.so	dict_%{1}_open%{-m:	mkmap_%{1}_open}" >> ${FILE}; fi;
%define dynmap_rm_cmd() FILE=%{_sysconfdir}/postfix/dynamicmaps.cf; if [ $1 = 0 -a -s $FILE ]; then  cp -p ${FILE} ${FILE}.$$; grep -v "^%{1}[[:space:]]" ${FILE}.$$ > ${FILE}; rm -f ${FILE}.$$; fi;
%define libname %mklibname postfix 1

Name:		postfix
Version:	3.7.10
Release:	%mkrel 1
Summary:        Postfix Mail Transport Agent

License:	Eclipse Public License 2.0
Group:		System/Servers
URL:		http://www.postfix.org/
Source0: 	%{name}-%{version}.tar.xz
Source2:	postfix-main.cf
Source3: 	postfix-etc-init.d-postfix
Source4:	postfix-etc-pam.d-smtp
Source5:	postfix-aliases
Source6:	postfix-ip-up
Source7:	postfix-ip-down
Source8:	postfix-ifup-d
Source10:	postfix-README.PCLOS
Source13:	http://www.seaglass.com/postfix/faq.html
Source14:	postfix-chroot.sh
Source15:	postfix-smtpd.conf
Source21:	ftp://ftp.wl0.org/postfinger/postfinger-1.30
Source25:	http://jimsun.LinxNet.com/misc/postfix-anti-UCE.txt
Source26:	http://jimsun.LinxNet.com/misc/header_checks.txt
Source27:	http://jimsun.LinxNet.com/misc/body_checks.txt
Patch0:		postfix-3.7.4-config.patch
Patch1:		postfix-3.7.4-alternatives-pclos.patch
Patch2:		postfix-3.7.4-dbupgrade.patch
Patch3:		postfix-2.7.0-sdbm.patch
Patch4:		postfix-2.2.4-smtpstone.patch
Patch5:		postfix-3.0.3-no-warning-about-symlinks.patch
Patch6:		postfix-3.2.0-large-fs.patch

BuildRequires:	gawk
BuildRequires:	html2text
BuildRequires:  %{_lib}db5.3-devel
BuildRequires:  %{_lib}ldap2.4_2-devel >= 2.1
BuildRequires:  %{_lib}mariadb-devel
BuildRequires:  %{_lib}openssl-devel
BuildRequires:  %{_lib}pcre0-devel
BuildRequires:  %{_lib}pcre2-devel
BuildRequires:	%{_lib}sasl2-devel >= 2.0
BuildRequires:  %{_lib}sqlite3-devel
BuildRequires:  %{_lib}tinycdb-devel
BuildRequires:  perl-base
BuildRequires:  postgresql13-devel
BuildRequires:  sed
Requires(pre,post,postun,preun): rpm-helper
Requires(post,preun):	update-alternatives
Requires(post): syslog-daemon
Requires(post): openssl
Requires:	syslog-daemon
Provides:	mail-server
Provides:	sendmail-command
Obsoletes:	%{_lib}postfix1 = 2.10.9-1pclos2016

%description
Postfix is a Mail Transport Agent (MTA), supporting LDAP, SMTP AUTH (SASL),
TLS and running in a chroot environment.

%package ldap
Summary:	LDAP map support for Postfix
Group:		System/Servers
Requires:	%{name} = %{version}-%{release}

%description ldap
This package provides support for LDAP maps in Postfix.

%package pcre
Summary:	PCRE map support for Postfix
Group:		System/Servers
Requires:	%{name} = %{version}-%{release}

%description pcre
This package provides support for PCRE (perl compatible regular expression)
maps in Postfix.

%package mysql
Summary:	MYSQL map support for Postfix
Group:		System/Servers
Requires:	%{name} = %{version}-%{release}

%description mysql
This package provides support for MYSQL maps in Postfix.

%package pgsql
Summary:	Postgres SQL map support for Postfix
Group:		System/Servers
Requires:	%{name} = %{version}-%{release}

%description pgsql
This package provides support for Postgres SQL maps in Postfix.

%package sdbm
Summary:	SDBM map support for Postfix
Group:		System/Servers
Requires:	%{name} = %{version}-%{release}

%description sdbm
This package provides support for SDBM maps in Postfix.

%package sqlite
Summary:	SQLite map support for Postfix
Group:		System/Servers
Requires:	%{name} = %{version}-%{release}

%description sqlite
This package provides support for SQLite maps in Postfix.

%package cdb
Summary:	CDB map support for Postfix
Group:		System/Servers
Requires:	%{name} = %{version}-%{release}

%description cdb
This package provides support for CDB maps in Postfix.

%prep
%setup -q
%autopatch -p1
# remove patch backup files to avoid including them to docs
find . -regextype posix-extended -regex '.+\.[0-9]{4}*' -delete

mkdir -p conf/dist
mv conf/main.cf conf/dist
cp %{SOURCE2} conf/main.cf

# ugly hack for 32/64 arches
if [ %{_lib} != lib ]; then
	sed -i -e 's@^/usr/lib/@%{_libdir}/@' conf/postfix-files
fi

install -m644 %{SOURCE10} README.pclos
install -m644 %{SOURCE13} postfix-users-faq.html

mkdir UCE
install -m644 %{SOURCE25} UCE
install -m644 %{SOURCE26} UCE
install -m644 %{SOURCE27} UCE

cp -p conf/master.cf conf/master.cf.chroot
awk -v NEVER_CHROOT_PROGRAM='^(proxymap|local|pipe|virtual|spawn)$' \
	-v NEVER_CHROOT_SERVICE='^cyrus$' '
		BEGIN                   { IFS="[ \t]+"; OFS="\t"; }
		/^#/                    { print; next; }
		/^ /                    { print; next; }
		$1 ~ NEVER_CHROOT_SERVICE    { print; next; }
		$8 ~ NEVER_CHROOT_PROGRAM    { print; next; }
		$5 == "n"               { $5="y"; print $0; next; }
								{ print; }
	' conf/master.cf.chroot > conf/master.cf

cp -p mantools/postlink.sed mantools/postlink.posix
sed -e 's/\[\[:<:\]\]/\\</g; s/\[\[:>:\]\]/\\>/g' mantools/postlink.posix > mantools/postlink

%build
%serverbuild
OPT="$RPM_OPT_FLAGS"
DEBUG=
CCARGS=
AUXLIBS="%{?ldflags:%ldflags}"

  CCARGS="${CCARGS} -DHAS_SDBM -DHAS_DLOPEN"
  CCARGS="${CCARGS} -DHAS_LDAP"
  AUXLIBS_LDAP="-lldap -llber"
  CCARGS="${CCARGS} -DHAS_PCRE"
  AUXLIBS_PCRE="$(pcre-config --libs)"
  CCARGS="${CCARGS} -DHAS_MYSQL -I/usr/include/mysql"
  AUXLIBS_MYSQL="-lmysqlclient"
  CCARGS="${CCARGS} -DHAS_PGSQL -I/usr/include/pgsql"
  AUXLIBS_PGSQL="$(pkg-config --libs libpq)"
  CCARGS="${CCARGS} -DUSE_SASL_AUTH -DUSE_CYRUS_SASL -I/usr/include/sasl"
  AUXLIBS="${AUXLIBS} -lsasl2"
  CCARGS="${CCARGS} -DUSE_TLS -I/usr/include/openssl"
  AUXLIBS="${AUXLIBS} -lssl -lcrypto"
  CCARGS="${CCARGS} -DHAS_CDB"
  AUXLIBS="${AUXLIBS} -lcdb"

export CCARGS AUXLIBS AUXLIBS_PCRE AUXLIBS_LDAP AUXLIBS_MYSQL AUXLIBS_PGSQL OPT DEBUG
make -f Makefile.init makefiles dynamicmaps=yes shlib_directory="%{_libdir}/%{name}"

unset CCARGS AUXLIBS AUXLIBS_PCRE AUXLIBS_LDAP AUXLIBS_MYSQL AUXLIBS_PGSQL DEBUG OPT
make
make manpages

# generate main.cf.default here, since in make it will fail
cat > conf/main.cf.default << EOF
# DO NOT EDIT THIS FILE. EDIT THE MAIN.CF FILE INSTEAD. THE
# TEXT HERE JUST SHOWS DEFAULT SETTINGS BUILT INTO POSTFIX.
#
EOF
LD_LIBRARY_PATH=$PWD/lib${LD_LIBRARY_PATH:+:}${LD_LIBRARY_PATH} \
	./src/postconf/postconf -d | \
	egrep -v '^(myhostname|mydomain|mynetworks) ' >> conf/main.cf.default

# add correct parameters to main.cf.dist
LD_LIBRARY_PATH=$PWD/lib${LD_LIBRARY_PATH:+:}${LD_LIBRARY_PATH} \
	./src/postconf/postconf -c ./conf/dist -e \
	%post_install_parameters
mv conf/dist/main.cf conf/main.cf.dist

%install
# install postfix into the build root
LD_LIBRARY_PATH=$PWD/lib${LD_LIBRARY_PATH:+:$LD_LIBRARY_PATH} \
make non-interactive-package \
	install_root=%{buildroot} \
	config_directory=%{_sysconfdir}/postfix \
	%post_install_parameters \
	|| exit 1

mkdir -p %{buildroot}/var/lib/postfix

mkdir -p %{buildroot}%{_sysconfdir}/postfix/dynamicmaps.cf.d
mkdir -p %{buildroot}%{_sysconfdir}/postfix/postfix-files.d

# workaround for main.cf.dist
install conf/main.cf.dist %{buildroot}%{_sysconfdir}/postfix/

# rpm %%doc macro wants to take his files in buildroot
rm -fr DOC
mkdir DOC
mv %{buildroot}%{_docdir}/%{name}/html DOC/html
mv %{buildroot}%{_docdir}/%{name}/README_FILES DOC/README_FILES

# for sasl configuration
mkdir -p %{buildroot}%{_sysconfdir}/sasl2
cp %{SOURCE15} %{buildroot}%{_sysconfdir}/sasl2/smtpd.conf

# This installs into the /etc/rc.d/init.d directory
mkdir -p %{buildroot}%{_initrddir}
install -c %{SOURCE3} %{buildroot}%{_initrddir}/postfix
mkdir -p %{buildroot}%{_sysconfdir}/pam.d
install -c %{SOURCE4} %{buildroot}%{_sysconfdir}/pam.d/smtp

mkdir -p %{buildroot}%{_sysconfdir}/ppp/ip-{up,down}.d
install -c %{SOURCE6} %{buildroot}%{_sysconfdir}/ppp/ip-up.d/postfix
install -c %{SOURCE7} %{buildroot}%{_sysconfdir}/ppp/ip-down.d/postfix

mkdir -p %{buildroot}%{_sysconfdir}/resolvconf/update-libc.d/
install -c %{SOURCE8} %{buildroot}%{_sysconfdir}/resolvconf/update-libc.d/postfix

mkdir -p %{buildroot}%{_sysconfdir}/sysconfig
touch %{buildroot}%{_sysconfdir}/sysconfig/postfix

# this is used by some examples (cyrus)
mkdir -p %{buildroot}%{queue_directory}/extern

install -c auxiliary/rmail/rmail %{buildroot}%{_bindir}/rmail

# copy new aliases files and generate a ghost aliases.db file
cp -f %{SOURCE5} %{buildroot}%{_sysconfdir}/postfix/aliases
chmod 644 %{buildroot}%{_sysconfdir}/postfix/aliases
touch %{buildroot}%{_sysconfdir}/postfix/aliases.db

touch %{buildroot}%{_sysconfdir}/postfix/domains

# install chroot script and postfinger
install -m 0755 %{SOURCE14} %{buildroot}%{_sbindir}/postfix-chroot.sh
install -m 0755 %{SOURCE21} %{buildroot}%{_sbindir}/postfinger

# install qshape
install -m755 auxiliary/qshape/qshape.pl %{buildroot}%{_sbindir}/qshape
cp man/man1/qshape.1 %{buildroot}%{_mandir}/man1/qshape.1

# use the /run
mkdir -p %{buildroot}/%{queue_directory}/run/saslauthd/

# RPM compresses man pages automatically.
# - Edit postfix-files to reflect this, so post-install won't get confused
#   when called during package installation.
sed -i -e "s@\(/man[158]/.*\.[158]\):@\1%{_extension}:@" %{buildroot}%{_sysconfdir}/postfix/postfix-files

# remove files that are not in the main package
sed -i -e "/postfix-.*\.so/d" %{buildroot}%{_sysconfdir}/postfix/postfix-files
# install the base configuration file
echo -e "# dict-type\tso-name (pathname)\tdict-function\tmkmap-function" > %{buildroot}%{_sysconfdir}/postfix/dynamicmaps.cf

# remove sample_directory from main.cf (#15297)
# the default is /etc/postfix
sed -i -e "/^sample_directory/d" %{buildroot}%{_sysconfdir}/postfix/main.cf

cp -f src/global/postfix-sqlite.so %{buildroot}%{_libdir}/%{name}/

%pre
%_pre_useradd postfix %{queue_directory} /bin/false
%_pre_groupadd %{maildrop_group} postfix
# disable chroot of spawn service in /etc/sysconfig/postfix,
# but do it only once and only if user did not
# modify /etc/sysconfig/postfix manually
if grep -qs "^NEVER_CHROOT_PROGRAM='^(proxymap|local|pipe|virtual)$'$" /etc/sysconfig/postfix; then
	if ! grep -qs "^NEVER_CHROOT_PROGRAM='^(proxymap|local|pipe|virtual|spawn)$'$" /usr/sbin/postfix-chroot.sh; then
		perl -pi -e "s/^NEVER_CHROOT_PROGRAM=.*\$/NEVER_CHROOT_PROGRAM=\'^(proxymap|local|pipe|virtual|spawn)\\\$\'/" /etc/sysconfig/postfix
	fi
fi
# disable some unneeded and potentially harmful nss libraries in
# /etc/sysconfig/postfix, but do it only once and only if user did not
# modify /etc/sysconfig/postfix manually
if grep -qs "^IGNORE_NSS_LIBS='^$'$" /etc/sysconfig/postfix; then
	if ! grep -qs "^IGNORE_NSS_LIBS='^(mdns.*|ldap|db|wins)$'$" /usr/sbin/postfix-chroot.sh; then
		perl -pi -e "s/^IGNORE_NSS_LIBS=.*\$/IGNORE_NSS_LIBS=\'^(mdns.*|ldap|db|wins)\\\$\'/" /etc/sysconfig/postfix
	fi
fi

%post
/usr/sbin/usermod -a -G mail postfix
#ensure the db files are created
%{_sbindir}/postmap /etc/postfix/virtual
%{_sbindir}/postmap /etc/postfix/domains

# we don't have these maps anymore as separate packages/plugins:
# cidr, tcp and sdbm (2007.0)
if [ "$1" -eq "2" ]; then
	sed -i "/^cidr/d;/^sdbm/d;/^tcp/d" %{_sysconfdir}/postfix/dynamicmaps.cf
fi

# daemon_directory changed in mga6, fix old config file if it was not replaced
if [ "$1" -eq "2" ]; then
	sed -i "s|^daemon_directory = .*|daemon_directory = %{_libexecdir}/postfix|" %{_sysconfdir}/postfix/main.cf
fi

# upgrade configuration files if necessary
%{_sbindir}/postfix \
	set-permissions \
	upgrade-configuration \
	config_directory=%{_sysconfdir}/postfix \
	%post_install_parameters

# move previous sasl configuration files to new location if applicable
# have to go through many loops to prevent damaging user configuration
# this changed around 2007.0 so it should go away soon
saslpath=`postconf -h smtpd_sasl_path`
if [ "${saslpath}" != "${saslpath##*:}" -o "${saslpath}" != "${saslpath##*/usr/lib}" ]; then
	postconf -e smtpd_sasl_path=smtpd
fi

for old_smtpd_conf in /etc/postfix/sasl/smtpd.conf %{_libdir}/sasl2/smtpd.conf; do
	if [ -e ${old_smtpd_conf} ]; then
		if ! grep -qsve '^\(#.*\|[[:space:]]*\)$' /etc/sasl2/smtpd.conf; then
			# /etc/sasl2/smtpd.conf missing or just comments
			if [ -s /etc/sasl2/smtpd.conf ] && [ ! -e /etc/sasl2/smtpd.conf.rpmnew -o /etc/sasl2/smtpd.conf -nt /etc/sasl2/smtpd.conf.rpmnew ]; then
				mv /etc/sasl2/smtpd.conf /etc/sasl2/smtpd.conf.rpmnew
			fi
			mv ${old_smtpd_conf} /etc/sasl2/smtpd.conf
		else
			echo "warning: existing ${old_smtpd_conf} will be ignored"
		fi
	fi
done

%_create_ssl_certificate postfix

if [ -e /etc/sysconfig/postfix ]; then
	%{_sbindir}/postfix-chroot.sh -q update
else
	%{_sbindir}/postfix-chroot.sh -q enable
fi
%_post_service postfix

/usr/sbin/update-alternatives --install %{_sbindir}/sendmail sendmail-command %{sendmail_command} 30 --slave %{_prefix}/lib/sendmail sendmail-command-in_libdir %{sendmail_command}

%triggerin -- glibc setup nss_ldap nss_db nss_wins nss_mdns
# Generate chroot jails on the fly when needed things are installed/upgraded
%{_sbindir}/postfix-chroot.sh -q update

%preun
rmqueue() {
	[ $2 -gt 0 ] || return
	local i
	for i in 0 1 2 3 4 5 6 7 8 9 A B C D E F; do
		if [ -d $1/$i ]; then
			rmqueue $1/$i $(( $2 - 1 ))
			rm -f $1/$i/*
			rmdir $1/$i
		fi
	done
}

# selectively remove the queue directory structure
queue_directory_remove () {
# first remove the "queues"
local IFS=', '
for dir in `%{_sbindir}/postconf -h hash_queue_names`; do
	test -d $dir && rmqueue %{queue_directory}/$dir `%{_sbindir}/postconf -h hash_queue_depth`
done

# now remove the other directories
for dir in corrupt maildrop pid private public trace; do
	test -d $dir && /bin/rm -f $dir/*
done
}

%_preun_service postfix

if [ $1 = 0 ]; then
	# Clean up chroot environment and spool directory
	%{_sbindir}/postfix-chroot.sh -q remove
	cd %{queue_directory} && queue_directory_remove || true
fi

%postun
%_postun_userdel postfix
%_postun_groupdel %{maildrop_group}
if [ ! -e %{sendmail_command} ]; then
	/usr/sbin/update-alternatives --remove sendmail-command %{sendmail_command} 
fi

%files
%doc AAAREADME US_PATENT_6321267 examples/smtpd-policy COMPATIBILITY COPYRIGHT HISTORY LICENSE PORTING
%doc RELEASE_NOTES* IPv6-ChangeLog TLS_* DOC/html DOC/README_FILES README.pclos postfix-users-faq.html UCE
%dir %{_sysconfdir}/postfix
%config(noreplace) %{_sysconfdir}/sasl2/smtpd.conf
%config(noreplace) %{_sysconfdir}/postfix/main.cf
%{_sysconfdir}/postfix/main.cf.dist
%{_sysconfdir}/postfix/main.cf.default
%{_sysconfdir}/postfix/main.cf.proto
%{_sysconfdir}/postfix/bounce.cf.default
%config(noreplace) %{_sysconfdir}/postfix/master.cf
%config(noreplace) %{_sysconfdir}/postfix/access
%config(noreplace) %{_sysconfdir}/postfix/aliases
%ghost %{_sysconfdir}/postfix/aliases.db
%config(noreplace) %{_sysconfdir}/postfix/canonical
%config(noreplace) %{_sysconfdir}/postfix/domains
%config(noreplace) %{_sysconfdir}/postfix/generic
%config(noreplace) %{_sysconfdir}/postfix/header_checks
%config(noreplace) %{_sysconfdir}/postfix/relocated
%config(noreplace) %{_sysconfdir}/postfix/transport
%config(noreplace) %{_sysconfdir}/postfix/virtual
%{_sysconfdir}/postfix/makedefs.out
%dir %{_sysconfdir}/postfix/dynamicmaps.cf.d/
%config(noreplace) %{_sysconfdir}/postfix/dynamicmaps.cf
%attr(0755, root, root) %{_initrddir}/postfix
%attr(0644, root, root) %config(noreplace) %{_sysconfdir}/pam.d/smtp
%attr(0755, root, root) %config(noreplace) %{_sysconfdir}/ppp/ip-up.d/postfix
%attr(0755, root, root) %config(noreplace) %{_sysconfdir}/ppp/ip-down.d/postfix
%attr(0755, root, root) %config(noreplace) %{_sysconfdir}/resolvconf/update-libc.d/postfix
%ghost %{_sysconfdir}/sysconfig/postfix
%attr(0755, root, root) %{queue_directory}/run/saslauthd/
%dir %attr(0700, postfix, root) /var/lib/postfix
%dir %{queue_directory}
%dir %attr(0700, postfix, root) %{queue_directory}/active
%dir %attr(0700, postfix, root) %{queue_directory}/bounce
%dir %attr(0700, postfix, root) %{queue_directory}/corrupt
%dir %attr(0700, postfix, root) %{queue_directory}/defer
%dir %attr(0700, postfix, root) %{queue_directory}/deferred
%dir %attr(0700, postfix, root) %{queue_directory}/flush
%dir %attr(0700, postfix, root) %{queue_directory}/hold
%dir %attr(0700, postfix, root) %{queue_directory}/incoming
%dir %attr(0700, postfix, root) %{queue_directory}/private
%dir %attr(0700, postfix, root) %{queue_directory}/trace
%dir %attr(0730, postfix, %{maildrop_group}) %{queue_directory}/maildrop
%dir %attr(0710, postfix, %{maildrop_group}) %{queue_directory}/public
%dir %attr(0755, root, root) %{queue_directory}/pid
%dir %attr(0755, root, root) %{queue_directory}/extern
%dir %{_libexecdir}/postfix
%attr(0644, root, root) %{_sysconfdir}/postfix/master.cf.proto
%dir %{_sysconfdir}/postfix/postfix-files.d/
%attr(0644, root, root) %{_sysconfdir}/postfix/postfix-files
%attr(0755, root, root) %{_libexecdir}/postfix/anvil
%attr(0755, root, root) %{_libexecdir}/postfix/bounce
%attr(0755, root, root) %{_libexecdir}/postfix/cleanup
%attr(0755, root, root) %{_libexecdir}/postfix/discard
%attr(0755, root, root) %{_libexecdir}/postfix/dnsblog
%attr(0755, root, root) %{_libexecdir}/postfix/error
%attr(0755, root, root) %{_libexecdir}/postfix/flush
%attr(0755, root, root) %{_libexecdir}/postfix/lmtp
%attr(0755, root, root) %{_libexecdir}/postfix/local
%attr(0755, root, root) %{_libexecdir}/postfix/master
%attr(0755, root, root) %{_libexecdir}/postfix/nqmgr
%attr(0755, root, root) %{_libexecdir}/postfix/oqmgr
%attr(0755, root, root) %{_libexecdir}/postfix/pickup
%attr(0755, root, root) %{_libexecdir}/postfix/pipe
%attr(0755, root, root) %{_libexecdir}/postfix/postfix-script
%attr(0755, root, root) %{_libexecdir}/postfix/postfix-tls-script
%attr(0755, root, root) %{_libexecdir}/postfix/postfix-wrapper
%attr(0755, root, root) %{_libexecdir}/postfix/postlogd
%attr(0755, root, root) %{_libexecdir}/postfix/post-install
%attr(0755, root, root) %{_libexecdir}/postfix/postmulti-script
%attr(0755, root, root) %{_libexecdir}/postfix/postscreen
%attr(0755, root, root) %{_libexecdir}/postfix/proxymap
%attr(0755, root, root) %{_libexecdir}/postfix/qmgr
%attr(0755, root, root) %{_libexecdir}/postfix/qmqpd
%attr(0755, root, root) %{_libexecdir}/postfix/scache
%attr(0755, root, root) %{_libexecdir}/postfix/showq
%attr(0755, root, root) %{_libexecdir}/postfix/smtp
%attr(0755, root, root) %{_libexecdir}/postfix/smtpd
%attr(0755, root, root) %{_libexecdir}/postfix/spawn
%attr(0755, root, root) %{_libexecdir}/postfix/tlsmgr
%attr(0755, root, root) %{_libexecdir}/postfix/tlsproxy
%attr(0755, root, root) %{_libexecdir}/postfix/trivial-rewrite
%attr(0755, root, root) %{_libexecdir}/postfix/verify
%attr(0755, root, root) %{_libexecdir}/postfix/virtual
%attr(0755, root, root) %{_sbindir}/postalias
%attr(0755, root, root) %{_sbindir}/postcat
%attr(0755, root, root) %{_sbindir}/postconf
%attr(2755,root,%{maildrop_group}) %{_sbindir}/postdrop
%attr(2755,root,%{maildrop_group}) %{_sbindir}/postqueue
%attr(0755, root, root) %{_sbindir}/postfix
%attr(0755, root, root) %{_sbindir}/postkick
%attr(0755, root, root) %{_sbindir}/postlock
%attr(0755, root, root) %{_sbindir}/postlog
%attr(0755, root, root) %{_sbindir}/postmap
%attr(0755, root, root) %{_sbindir}/postmulti
%attr(0755, root, root) %{_sbindir}/postsuper
%attr(0755, root, root) %{_sbindir}/qmqp-sink
%attr(0755, root, root) %{_sbindir}/qmqp-source
%attr(0755, root, root) %{_sbindir}/smtp-sink
%attr(0755, root, root) %{_sbindir}/smtp-source
%attr(0755, root, root) %{_sbindir}/postfinger
%attr(0755, root, root) %{_sbindir}/postfix-chroot.sh
%attr(0755, root, root) %{_sbindir}/qshape
%attr(0755, root, root) %{sendmail_command}
%{_bindir}/mailq
%{_bindir}/newaliases
%attr(0755, root, root) %{_bindir}/rmail
%{_mandir}/man1/*
%{_mandir}/man5/*
%{_mandir}/man8/*
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/libpostfix-*.so
%ghost %attr(0644, root, root) %{_sysconfdir}/pki/tls/certs/postfix.pem
%ghost %attr(0600, root, root) %{_sysconfdir}/pki/tls/private/postfix.pem

%files ldap
%attr(755, root, root) %{_libdir}/%{name}/postfix-ldap.so

%post ldap
%dynmap_add_cmd ldap
%postun ldap
%dynmap_rm_cmd ldap

%files mysql
%attr(755, root, root) %{_libdir}/%{name}/postfix-mysql.so

%post mysql
%dynmap_add_cmd mysql
%postun mysql
%dynmap_rm_cmd mysql

%files sdbm
%attr(755, root, root) %{_libdir}/%{name}/postfix-sdbm.so

%post sdbm
%dynmap_add_cmd sdbm
%postun sdbm
%dynmap_rm_cmd sdbm

%files pcre
%attr(755, root, root) %{_libdir}/%{name}/postfix-pcre.so

%post pcre
%dynmap_add_cmd pcre
%postun pcre
%dynmap_rm_cmd pcre

%files pgsql
%attr(755, root, root) %{_libdir}/%{name}/postfix-pgsql.so

%post pgsql
%dynmap_add_cmd pgsql
%postun pgsql
%dynmap_rm_cmd pgsql

%files sqlite
%attr(755, root, root) %{_libdir}/%{name}/postfix-sqlite.so

%post sqlite
%dynmap_add_cmd sqlite
%postun sqlite
%dynmap_rm_cmd sqlite

%files cdb
%attr(755, root, root) %{_libdir}/%{name}/postfix-cdb.so

%post cdb
%dynmap_add_cmd cdb -m
%postun cdb
%dynmap_rm_cmd cdb

%changelog
* Tue Jan 23 2024 kjpetrie <pclos dot bugs at kjpetrie dot co dot uk> 3.7.10-1pclos2024
- update

* Tue Jan 31 2023 kjpetrie <pclos dot bugs at kjpetrie dot co dot uk> 3.7.4-1pclos2023
- update
- postfix-3.7.3-config.patch
- postfix-3.7.3-linux-6.patch
- rewrote postfix-alternatives-pclos.patch
- postfix-3.7.3-dbupgrade.patch

* Sun Sep 10 2017 marcin82 <m82 at op.pl> 3.2.2-1pclos2017
- update
- changed R: sysklogd -> syslog-daemon virtual package
- dropped %{_lib}postfix1 package
- changed shlib_directory setting to /usr/lib64/postfix
- added %%patch6 (Fedora)
- changed info about logging postfix in postfix-README.PCLOS

* Fri Mar 18 2016 bb <bb> 2.10.9-1pclos2016
- update

* Mon Jan 05 2015 bb <bb> 2.10.3-1pclos2015
- update

* Sun Dec 28 2013 bb <bb> 2.10.2-1pclos2013
- sync to mga for this package
